OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESDefs

# IGESDefs_ToolMacroDef Class Reference

Tool to work on a MacroDef. Called by various Modules
(ReadWriteModule, GeneralModule, SpecificModule)
.

`#include <IGESDefs_ToolMacroDef.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESDefs_ToolMacroDef ()
| Returns a ToolMacroDef, ready to work .
Standard_EXPORT void | ReadOwnParams (const Handle(IGESDefs_MacroDef)&ent, const Handle(IGESData_IGESReaderData)&IR, IGESData_ParamReader &PR) const
| Reads own parameters from file. <pr> gives access to them, <ir> detains parameter types and values .
Standard_EXPORT void | WriteOwnParams (const Handle(IGESDefs_MacroDef)&ent, IGESData_IGESWriter &IW) const
| Writes own parameters to IGESWriter .
Standard_EXPORT void | OwnShared (const Handle(IGESDefs_MacroDef)&ent, Interface_EntityIterator &iter) const
| Lists the Entities shared by a MacroDef <ent>, from its specific (own) parameters .
Standard_EXPORT IGESData_DirChecker | DirChecker (const Handle(IGESDefs_MacroDef)&ent) const
| Returns specific DirChecker .
Standard_EXPORT void | OwnCheck (const Handle(IGESDefs_MacroDef)&ent, const Interface_ShareTool &shares, Handle(Interface_Check)&ach) const
| Performs Specific Semantic Check .
Standard_EXPORT void | OwnCopy (const Handle(IGESDefs_MacroDef)&entfrom, const Handle(IGESDefs_MacroDef)&entto, Interface_CopyTool &TC) const
| Copies Specific Parameters .
Standard_EXPORT void | OwnDump (const Handle(IGESDefs_MacroDef)&ent, const IGESData_IGESDumper &dumper, const Handle(Message_Messenger)&S, const Standard_Integer own) const
| Dump of Specific Parameters .

## Constructor & Destructor Documentation

Standard_EXPORT IGESDefs_ToolMacroDef::IGESDefs_ToolMacroDef | ( |  | ) |

## Member Function Documentation

Standard_EXPORT IGESData_DirChecker IGESDefs_ToolMacroDef::DirChecker | ( | const Handle(IGESDefs_MacroDef)& | ent | ) | const

void IGESDefs_ToolMacroDef::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESDefs_ToolMacroDef::operator new | ( | size_t | size | ) | `[inline]`

void* IGESDefs_ToolMacroDef::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void IGESDefs_ToolMacroDef::OwnCheck | ( | const Handle(IGESDefs_MacroDef)& | ent,
|  | const Interface_ShareTool & | shares,
|  | Handle(Interface_Check)& | ach
| ) | const

Standard_EXPORT void IGESDefs_ToolMacroDef::OwnCopy | ( | const Handle(IGESDefs_MacroDef)& | entfrom,
|  | const Handle(IGESDefs_MacroDef)& | entto,
|  | Interface_CopyTool & | TC
| ) | const

Standard_EXPORT void IGESDefs_ToolMacroDef::OwnDump | ( | const Handle(IGESDefs_MacroDef)& | ent,
|  | const IGESData_IGESDumper & | dumper,
|  | const Handle(Message_Messenger)& | S,
|  | const Standard_Integer | own
| ) | const

Standard_EXPORT void IGESDefs_ToolMacroDef::OwnShared | ( | const Handle(IGESDefs_MacroDef)& | ent,
|  | Interface_EntityIterator & | iter
| ) | const

Standard_EXPORT void IGESDefs_ToolMacroDef::ReadOwnParams | ( | const Handle(IGESDefs_MacroDef)& | ent,
|  | const Handle(IGESData_IGESReaderData)& | IR,
|  | IGESData_ParamReader & | PR
| ) | const

Standard_EXPORT void IGESDefs_ToolMacroDef::WriteOwnParams | ( | const Handle(IGESDefs_MacroDef)& | ent,
|  | IGESData_IGESWriter & | IW
| ) | const

The documentation for this class was generated from the following file:

- IGESDefs_ToolMacroDef.hxx